Bug 278921 - can't save metadata after deleting certain entries
Summary: can't save metadata after deleting certain entries
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Metadata Editing and Reading (show other bugs)
Version: 2.4-GIT
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: 2.5
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-31 10:18 UTC by Gandalf Lechner
Modified: 2011-09-26 11:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gandalf Lechner 2011-07-31 10:18:23 UTC
Version:           2.4.1
OS:                Linux

when editing metadata for a file, the "save" button is inactive (greyed out) when certain entries are deleted, making it impossible to save such changes. for example, i wanted to delete the track number for a file, but can't save that. this is also true for deleting the year, but it works for example when erasing the album oder artist.

Reproducible: Always

Steps to Reproduce:
delete metadata of the types described above

Actual Results:  
can't save

Expected Results:  
can save

OS: Linux (x86_64) release 2.6.38-11-generic
Compiler: gcc
Comment 1 Myriam Schweingruber 2011-08-01 08:33:44 UTC
Are these files part of the collection?
Comment 2 Gandalf Lechner 2011-08-01 09:09:02 UTC
(In reply to comment #1)
> Are these files part of the collection?

yes they are
Comment 3 Myriam Schweingruber 2011-08-03 10:07:31 UTC
Confirmed in current git
Comment 4 Sergey Ivanov 2011-08-06 10:04:33 UTC
Git commit 4308a7b87e56bef1a597fc1f807167ae5922fbfd by Sergey Ivanov.
Committed on 06/08/2011 at 11:29.
Pushed by ivanov into branch 'master'.

Made possible to empty numerical fields in TagDialog (track number, year, etc.).
BUG: 278921
FIXED-IN: 2.4.4

M  +1    -0    src/CMakeLists.txt
M  +18   -13   src/dialogs/TagDialogBase.ui
A  +42   -0    src/widgets/ClearSpinBox.cpp     [License: GPL (v2+)]
M  +0    -7    src/dialogs/TagDialog.cpp
A  +35   -0    src/widgets/ClearSpinBox.h     [License: GPL (v2+)]

http://commits.kde.org/amarok/4308a7b87e56bef1a597fc1f807167ae5922fbfd